org.apache.axiom.soap

## Interface SOAPMessage

- All Superinterfaces:
    OMContainer, OMDocument, OMInformationItem, OMSerializable

      public interface SOAPMessage
      extends OMDocument

- - ### Field Summary

    - ### Fields inherited from interface org.apache.axiom.om.OMDocument

      `XML_10, XML_11`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SOAPEnvelope` | `getSOAPEnvelope()`
    `void` | `setSOAPEnvelope(SOAPEnvelope envelope)` Sets the SOAP envelope for this message.

    - ### Methods inherited from interface org.apache.axiom.om.OMDocument

      `getCharsetEncoding, getOMDocumentElement, getXMLEncoding, getXMLVersion, isStandalone, setCharsetEncoding, setOMDocumentElement, setStandalone, setXMLEncoding, setXMLVersion`

    - ### Methods inherited from interface org.apache.axiom.om.OMContainer

      `addChild, getBuilder, getChildren, getChildrenWithLocalName, getChildrenWithName, getChildrenWithNamespaceURI, getDescendants, getFirstChildWithName, getFirstOMChild, getSAXResult, getSAXSource, getXMLStreamReader, getXMLStreamReader, getXMLStreamReader, getXMLStreamReaderWithoutCaching, removeChildren, serialize, serialize, serialize, serialize, serializeAndConsume, serializeAndConsume, serializeAndConsume, serializeAndConsume`

    - ### Methods inherited from interface org.apache.axiom.om.OMSerializable

      `build, close, isComplete, serialize, serialize, serializeAndConsume`

    - ### Methods inherited from interface org.apache.axiom.om.OMInformationItem

      `clone, getOMFactory`

- - ### Method Detail

    - #### getSOAPEnvelope

          SOAPEnvelope getSOAPEnvelope()
                                throws SOAPProcessingException

      Throws:
        `SOAPProcessingException`

    - #### setSOAPEnvelope

          void setSOAPEnvelope(SOAPEnvelope envelope)

      Sets the SOAP envelope for this message. This method has the same effect as `OMDocument.setOMDocumentElement(OMElement)`.
      Parameters:
        `envelope` - the envelope to be set as the root element for this message

Copyright © The Apache Software Foundation. All Rights Reserved.